收藏夹内的条目

GET/v3/user/me/collections/{id}/items需用户授权分页collection:read

调试

未配置令牌设置令牌后才能发送请求
路径参数

number

查询参数

留空的参数不会发送

"galgame" | "light_novel" | "manga" | "article" | "post"

string

number

number

GET https://api.hikarinagi.org/v3/user/me/collections/{id}/items?page=1&page_size=10

查询参数

type "galgame" | "light_novel" | "manga" | "article" | "post"
keyword string
page *number
page_size *number

响应字段

items *FavoriteCollectionItemDto[]收藏项列表
meta *PageMetaDto分页信息
type_counts *FavoriteCollectionItemCountsDto各内容类型的收藏数统计

示例

curl "https://api.hikarinagi.org/v3/user/me/collections/1/items?page=1&page_size=10" \
-H "Authorization: Bearer $ACCESS_TOKEN"

响应示例

{
"items": [
{
"article": {
"cover": {
"height": 1,
"id": 1,
"src": "path/to/asset.jpg",
"width": 1
},
"created_at": "2026-08-02T00:00:00.000Z",
"creator": {
"avatar": {},
"equipped_badges": [],
"equipped_frame": {},
"id": 1,
"name": "string",
"nickname": "string",
"role": "USER"
},
"id": 1,
"like_count": 1,
"sections": [
{}
],
"title": "string",
"topics": [
{}
],
"updated_at": "2026-08-02T00:00:00.000Z",
"view_count": 1
},
"created_at": "2026-08-02T00:00:00.000Z",
"galgame": {
"covers": [
{}
],
"id": 1,
"nsfw": false,
"origin_title": "string",
"producers": [
{}
],
"release_date": "string",
"trans_title": "string"
},
"id": 1,
"light_novel": {
"author": {
"id": 1,
"name": "string"
},
"bunko": {
"id": 1,
"name": "string"
},
"covers": [
{}
],
"id": 1,
"name": "string",
"name_cn": "string",
"novel_status": "SERIALIZING",
"nsfw": false,
"publication_date": "string",
"publishers": [
{}
]
},
"manga": {
"covers": [
{}
],
"id": 1,
"latest_chapter_at": "2026-08-02T00:00:00.000Z",
"name": "string",
"name_cn": "string",
"nsfw": false,
"publication_date": "string",
"serial_status": "SERIALIZING"
},
"note": "string",
"post": {
"covers": [
{}
],
"created_at": "2026-08-02T00:00:00.000Z",
"creator": {
"avatar": {},
"equipped_badges": [],
"equipped_frame": {},
"id": 1,
"name": "string",
"nickname": "string",
"role": "USER"
},
"id": 1,
"like_count": 1,
"sections": [
{}
],
"title": "string",
"topics": [
{}
],
"updated_at": "2026-08-02T00:00:00.000Z",
"view_count": 1
},
"type": "galgame"
}
],
"meta": {
"item_count": 1,
"page": 1,
"page_size": 1,
"total_items": 1,
"total_pages": 1
},
"type_counts": {
"article": 1,
"galgame": 1,
"light_novel": 1,
"manga": 1,
"post": 1,
"total": 1
}
}

响应状态

200成功
Hikarinagi

你和同好的ACGN社区

© 2026 Hikarinagi · Some Rights Reserved ·